set ORIG;  
set DEST;
set EXCESS;
set ALLDEST := DEST union EXCESS;

param supply {ORIG} >= 0;  
param demand {DEST} >= 0;  

param cost {ORIG,ALLDEST} >= 0; 
var Trans {ORIG,ALLDEST} >= 0;  

minimize Total_Cost:
   sum {i in ORIG, j in ALLDEST} cost[i,j] * Trans[i,j];

subject to Supply {i in ORIG}:
   sum {j in ALLDEST} Trans[i,j] = supply[i];

subject to Demand {j in DEST}:
   sum {i in ORIG} Trans[i,j] = demand[j];
